package ems;

import java.math.BigDecimal;

/**
 * EMS控制器
 *
 * @author 修唯
 * @date 2023/07/13
 */
public abstract class AbstractEMSController {


    /**
     * 获取总有功功率
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal getTotalActivePower();

    /**
     * 获取总无功功率
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal getTotalReactivePower();

    /**
     * 设置总有功功率
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal setTotalActivePower(BigDecimal ap );

    /**
     * 设置总无功功率
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal setTotalReactivePower();


}
