package entity;

import com.baomidou.mybatisplus.annotation.EnumValue;
import enums.EquipmentTypeEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 控制命令的属性
 *
 * @author: xiuwei
 * @version:
 */
@Setter
@Getter
public class CommandAttribute {


    /**
     * ID
     */
    Integer id;

    /**
     * 命令方向
     */
    @EnumValue
    CommandDirection commandDirection;
    /**
     * 设备类型
     */
    @EnumValue
    EquipmentTypeEnum equipmentType;


    /**
     * 命令属性
     */
    String attribute;

    /**
     * 命令数据类型
     */
    @EnumValue
    CommandDataType commandDataType;

    /**
     * 命令数据类型
     *
     * @author xiuwei
     * @date 2021/06/15
     */

    public enum CommandDataType {
        YX, YC
    }

    /**
     * 命令方向
     *
     * @author xiuwei
     * @date 2021/06/15
     */
    public enum CommandDirection {
        /**
         * 向外
         */
        OUTWARD,
        /**
         * 向内
         */
        INWARD
    }


}
