package entity;

import java.math.BigDecimal;

/**
 * 发电设备
 *
 * @author 修唯
 * @date 2023/07/17
 */
public abstract class PowerEquipment {


    /**
     * 获取有功功率
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal getActivePower();

    /**
     * 获取无功功率
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal getReactivePower();

    /**
     * 设置有功功率
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal setActivePower(BigDecimal ap);

    /**
     * 设置无功功率
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal setReactivePower();


    /**
     * 获取有功调节上限
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal getActiveMaxPower();


    /**
     * 获取有功调节下限
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal getActiveMinPower();


    /**
     * 获取无功调节上限
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal getReactiveMaxPower();


    /**
     * 获取无功调节下限
     *
     * @return {@link BigDecimal}
     */
    public abstract BigDecimal getReactiveMinPower();









}
