package entity.datapoint;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;

import entity.CommandAttribute;
import enums.CommandProtocolType;
import enums.DataType;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 命令控制点位
 *
 * @author: xiuwei
 * @version:
 */
@Setter
@Getter
@TableName(value = "COMMAND_DATA_POINT", resultMap = "CommandDataPointWithCA")
public class CommandDataPoint {


	/**
	 * id
	 */
	@TableId(type = IdType.AUTO)
	Integer id;


	/**
	 * 通道id
	 */
	String tunnelId;

	/**
	 * 通道点位
	 */
	private Integer protocolPoint;

	/**
	 * 设备编号
	 */
	private Integer equipmentNo;

	/**
	 * 倍率
	 */
	private BigDecimal ratio;


	/**
	 * 命令属性id
	 */
	private Integer commandAttributeId;

	/**
	 * 数据类型
	 */
	@EnumValue
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private DataType dataType;

	/**
	 * 命令属性
	 */
	@TableField(exist = false)
	private CommandAttribute commandAttribute;

	@EnumValue
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private CommandProtocolType commandProtocolType;

	public void setCommandAttribute(CommandAttribute commandAttribute) {
		this.commandAttribute = commandAttribute;
		if (this.commandAttributeId == null || !this.commandAttributeId.equals(commandAttribute.getId())) {
			this.commandAttributeId = commandAttribute.getId();
		}
	}

	public void setCommandAttributeId(Integer commandAttributeId) {
		this.commandAttributeId = commandAttributeId;
		if (this.commandAttribute == null || !commandAttributeId.equals(this.commandAttribute.getId())) {
			this.commandAttribute = new CommandAttribute();
			this.commandAttribute.setId(this.commandAttributeId);
		}
	}


}
