package tunnelworker.workassist.iec104tcp;


import lombok.extern.slf4j.Slf4j;
import wei.yigulu.iec104.annotation.AsduType;
import wei.yigulu.iec104.apdumodel.Apdu;
import wei.yigulu.iec104.asdudataframe.ShortFloatCommand;

import java.math.BigDecimal;

/**
 * 处理命令的接收
 *
 * @author: xiuwei
 * @version:
 */
@Slf4j
@AsduType(typeId = 50)
public class HandleShortFloatCommand extends ShortFloatCommand {


    @Override
    public byte[][] handleAndAnswer(Apdu apdu) throws Exception {
        ShortFloatCommand shortFloatCommand = (ShortFloatCommand) apdu.getAsdu().getDataFrame();
        shortFloatCommand.getAddresses();
        shortFloatCommand.getVal();
        String tunnelId = (String) apdu.getIec104Builder().getConfigInfoMap().get("tunnelId");
        String tunnelName = (String) apdu.getIec104Builder().getConfigInfoMap().get("tunnelName");
        log.info("通道{},接收到命令：{},命令类型：{},命令值为:{}" , tunnelName,shortFloatCommand.getAddresses() , "浮点遥调",shortFloatCommand.getVal());
        //ReceiveDispatchingCommand.getInstance().receiveInstruction(tunnelId, shortFloatCommand.getAddresses().getAddress(), BigDecimal.valueOf(shortFloatCommand.getVal()));
        return super.handleAndAnswer(apdu);
    }


}
